import subprocess
import sys
import os

# sys.executable to use the same Python interpreter used to invoke this command
if len(sys.argv) < 2:
    port = "8001"
else:
    port = sys.argv[1]

os.chdir("hybrid_server")
subprocess.check_call([sys.executable, "-m", "sccd.compiler.sccdc", "-p", "threads", "server.xml"])

program_to_execute = [sys.executable, "run_mvk_server.py", port]

# Alternative execution modes
#program_to_execute = [sys.executable, "-m", "cProfile", "-s", "tottime", "run_mvk_server.py", port]
#program_to_execute = [sys.executable, "run_mvk_server.py", port, "--kernel=interpreter"]

if os.name == "nt":
    subprocess.call(program_to_execute)
else:
    os.execv(sys.executable, program_to_execute)
